function [] = initialize(pForceOverwrite)
%INITIALIZE Summary of this function goes here
%   Detailed explanation goes here

global artoaGui;

%% Initialize default variables
if ~exist('pForceOverwrite', 'var')
    pForceOverwrite = false;
end

%% Initialize
callbacks = artoaGui.callbacks.main;

availableCallbacks = { ...
    'tableSoundsourceOffsetsSelect', ...
    'tableSoundsourceOffsetsEdit', ...
    'tableSoundspeedEdit', ...
    'buttonCalculateOffsets', ...
    'checkboxUseOffsets', ...
    'buttonCopyFromOptimum', ...
    'buttonCopyFromMeasured', ...
    'buttonEmpiricalToNan', ...
    'buttonUndoLastCopy' ...
};

for i = 1:length(availableCallbacks) % check if a callback is undefined
    if ~isfield(callbacks, availableCallbacks{i})
        callbacks.(availableCallbacks{i}) = @(~, ~) false;
    end
end

artoa.controller.edit.offsets.initializeSoundspeedTable();
artoa.controller.edit.offsets.updateWorkspaceOffsetsTable(pForceOverwrite);

end

