function [] = saveOptimumTables(~, ~)
%SAVERFC Summary of this function goes here
%   Detailed explanation goes here

global artoaWorkspace artoaDataInput;

%% Get offsets
unfilteredA = artoa.data.getMember(artoaWorkspace, {'editOffsets', 'unfilteredA'}, false);
unfilteredB = artoa.data.getMember(artoaWorkspace, {'editOffsets', 'unfilteredB'}, false);
A = artoa.data.getMember(artoaWorkspace, {'editOffsets', 'A'}, false);
B = artoa.data.getMember(artoaWorkspace, {'editOffsets', 'B'}, false);
X = artoa.data.getMember(artoaWorkspace, {'editOffsets', 'X'}, false);
offsets = artoa.data.getMember(artoaWorkspace, {'editOffsets', 'offsets'}, false);
soundspeed = artoa.data.getMember(artoaWorkspace, {'editOffsets', 'soundspeed'}, false);

if islogical(unfilteredA) || islogical(unfilteredB) ...
        || islogical(A) || islogical(B) || islogical(X) ...
        || islogical(offsets) || islogical(soundspeed)
    errordlg('At least one of the matrices to save is not available. Please recalculate!', 'Matrices not found');
    return;
end

%% Get required variables
folder = artoa.data.getMember(artoaDataInput, {'ini', 'directory', 'optimumtables'}, pwd());
filter = artoa.data.getMember(artoaDataInput, {'ini', 'filemask', 'optimumtables'}, '*.mat');

%% Ask for filename
[filename, pathname] = uiputfile(fullfile(folder, filter));

filepath = fullfile(pathname, filename);

save(filepath, 'unfilteredA', 'unfilteredB', 'A', 'B', 'X', 'offsets', 'soundspeed');


end

