function [] = initialize(pForceOverwrite)
%INITIALIZE Summary of this function goes here
%   Detailed explanation goes here

global artoaWorkspace artoaGui;

%% Initialize default variables
if ~exist('pForceOverwrite', 'var')
    pForceOverwrite = false;
end

callbacks = artoaGui.callbacks.main;

%% Create workspace variables
if pForceOverwrite || ~isfield(artoaWorkspace, 'trackParameter')
    artoaWorkspace.trackParameter = struct();
    artoaWorkspace.trackParameter.enableBackwardTracking = false;
    
    % setup sound source combinations
    artoaWorkspace.trackParameter.soundsourceCombinations = ...
        artoa.controller.track.parameter.createCombinationsTable(...
            artoa.controller.track.parameter.getDefaultCombinationCell() ...
    );
    artoaGui.trackParameter.tableSoundSourceCombinations.Data = artoa.controller.track.parameter.getDefaultCombinationCell();
    
    %% Update offsets table in workspace
    artoa.controller.edit.offsets.updateWorkspaceOffsetsTable();
    
    % initialize settings
    availableCallbacks = { ...
        'checkboxDopplerCorrection', ...
        'comboboxInterpolationMethod', ...
        'comboboxSoundspeedMethod', ...
        'checkboxPlotResiduals', ...
        'inputOutputInterpolationInterval', ...
        'inputGapSize', ...
        'tableSoundSourceCombinationsEdit' ...
    };

    for i = 1:length(availableCallbacks)
        if isfield(callbacks, availableCallbacks{i})
            % execute the callback to save the state
            callbacks.(availableCallbacks{i})();
        end
    end
end


end

